[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TCustomSQLStatement.ParamByName

Find a parameter by name

## Declaration

Source position: sqldb.pp line 426

`public function TCustomSQLStatement.ParamByName(`
`const AParamName: string`
`):TParam;`

## Arguments

`AParamName` |  | Parameter to search for.

## Function result

The parameter with name AParamName

## Description

ParamByName finds the parameter AParamName in the Params property.

## Errors

If no parameter with the given name is found, an exception is raised.

## See also

TSQLStatement.Params |  | List of parameters.
TParams.ParamByname